Security Enhanced Linux Reference Policy

# Layer: services

## Module: inn

Interfaces

### Description:

Internet News NNTP server.

### Interfaces:

inn_admin( domain , role )

##### Summary

All of the rules required to administrate an inn environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

inn_dgram_send( domain )

##### Summary

Send to a innd unix dgram socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

inn_domtrans( domain )

##### Summary

Execute innd in the innd domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

inn_exec( domain )

##### Summary

Execute innd in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

inn_exec_config( domain )

##### Summary

Execute inn configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

inn_generic_log_filetrans_innd_log( domain , object_class , name )

##### Summary

Create specified objects in generic log directories with the innd log file type.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
object_class | Class of the object being created.
name | The name of the object being created.

inn_manage_log( domain )

##### Summary

Create, read, write, and delete innd log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

inn_manage_runtime_dirs( domain )

##### Summary

Create, read, write, and delete innd runtime dirs.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

inn_manage_runtime_files( domain )

##### Summary

Create, read, write, and delete innd runtime files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

inn_manage_runtime_sockets( domain )

##### Summary

Create, read, write, and delete innd runtime named sockets.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

inn_read_config( domain )

##### Summary

Read innd configuration content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

inn_read_news_lib( domain )

##### Summary

Read innd news library content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

inn_read_news_spool( domain )

##### Summary

Read innd news spool content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return